List matching documents
curl --request GET \
--url https://api-v2.tryadvocate.com/rest/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-v2.tryadvocate.com/rest/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.tryadvocate.com/rest/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"caseId": "<string>",
"fileName": "<string>",
"fileType": "<string>",
"url": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"categoryId": "<string>",
"name": "<string>",
"fileExt": {},
"versions": [
"<string>"
],
"metadata": {}
}
],
"meta": {
"limit": 123,
"offset": 123,
"total": 123
}
}Documents
List matching documents
GET
/
rest
/
documents
List matching documents
Authorizations
Service account token (live_ or test_ prefix)
Query Parameters
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I